#include <stdio.h>


void main()
{
	FILE *in, *datafile, *filelist;
	char filename[20];
	unsigned char a,b,c,d;			// to read in the size;
	int sx, sy;
	unsigned char *buffer;

	filelist = fopen("sprites.txt","rt");
	datafile = fopen("spaced.dat", "w+b");


	if(filelist==NULL || datafile==NULL) return;


	while(fscanf(filelist, "%s", filename)!=EOF)
	{

		in = fopen(filename, "rb");
		if(in==NULL)
		{
			fclose(in);
			fclose(datafile);
			fclose(filelist);
			return;
		}

		rewind(in);

		a = fgetc(in);
		b = fgetc(in);
		c = fgetc(in);
		d = fgetc(in);

		sx = (a) + (b<<8) + 1;
		sy = (c) + (d<<8) + 1;


		buffer = new unsigned char [sx*sy];

		if(buffer ==NULL)
		{
			fclose(in);
			fclose(datafile);
			fclose(filelist);
			return;
		}

		if(!fread(buffer ,1,sx*sy,in))
		{
			delete [] buffer;

			fclose(in);
			fclose(datafile);
			fclose(filelist);
			return;
		}

		fclose(in);


		fputc(a,datafile);
		fputc(b,datafile);
		fputc(c,datafile);
		fputc(d,datafile);
		fwrite(buffer, 1, sx*sy,datafile);

		delete [] buffer;

	}



		// output 4 bytes (a long) for hiscore
	fputc(0,datafile);
	fputc(0,datafile);
	fputc(0,datafile);
	fputc(0,datafile);

	fclose(in);
	fclose(filelist);
	fclose(datafile);
}