const int screen_left = 0;
const int screen_right = 320;
const int screen_top = 10;
const int screen_bottom = 190;


class PowerUp {
	public:
		int x, y;
		int dx,dy;
		int action;
		Sprite *bitmap;
		PowerUp *next;

		PowerUp(int start_x, int start_y, int start_dx, int start_dy,
							Sprite *bm, int type)
		{
			x = start_x;y = start_y;
			dx = start_dx;dy = start_dy;
			bitmap = bm;
			next = NULL;
			action = type;
		}

		int
		move()
		{
			x+=dx;y+=dy;
			if(x<screen_left || x>screen_right || y>screen_bottom || y<screen_top)
				return 1;
			else
				return 0;
		}

		void
		draw(byte * screen)
		{
			bitmap->draw( x, y, screen);
		}

};
